openvasd_connector Struct Reference

Struct holding the data for connecting with openvasd. More...

## Data Fields

gchar * | ca_cert
gchar * | cert
gchar * | key
gchar * | apikey
gchar * | server
gchar * | host
gchar * | scan_id
int | port
gvm_http_response_stream_t | stream_resp

## Detailed Description

Struct holding the data for connecting with openvasd.

## Field Documentation

## apikey

gchar* openvasd_connector::apikey

API key for authentication.

## ca_cert

gchar* openvasd_connector::ca_cert

Path to the directory holding the CA certificate.

## cert

gchar* openvasd_connector::cert

Client certificate.

## host

gchar* openvasd_connector::host

server hostname.

## key

gchar* openvasd_connector::key

Client key.

## port

int openvasd_connector::port

server port.

## scan_id

gchar* openvasd_connector::scan_id

Scan ID.

## server

gchar* openvasd_connector::server

original openvasd server URL.

## stream_resp

gvm_http_response_stream_t openvasd_connector::stream_resp

The documentation for this struct was generated from the following file:

- openvasd/openvasd.c